#!/usr/bin/perl -T
use strict;
use warnings;
use Impedance::Model;
use Impedance::IMPCGI qw(:html :cgi);
use SemaforeFile;
use CGI qw(:standard :netscape);

if (param('action') && param('action') eq 'load')
{
    &print_header("Elchemea Analytical",-onload=>'set_data()');
    my $fname = '';
    eval 
    {
        my $fn = Impedance::IMPCGI::file_upload('filename');
        if ($fn)
	{
            my $f = SemaforeFile->new($fn);
            my @lines = $f->readlines();
	    $fname = 'Load_'.$$.'.emp';
	    my $storefile = SemaforeFile->new('/tmp/'.$fname);
	    $storefile->writeline(@lines);
	    unlink $f->filename if ($f->exist);
	}
    };
    print start_form(-name=>'sofc');
    print hidden(-name=>'filename',-value=>$fname,-force=>1);
    print end_form();
    print <<END;

<script language="javascript">

function set_data()
{
    opener.document.load.filename.value = document.sofc.filename.value;
    opener.document.load.submit();
    self.close();
}

</script>

END
    
    print end_html();
exit;
}

#&print_header("Elchemea Analytical",-onBlur=>'initiateSelfClosing()');
&print_header("Elchemea Analytical");
print center(h1("Load model file"));
print '<center><table border=0 cellspacing=20 width=100%><tr>';
print '<td width=70%>';
print start_form(-name=>'select');
print filefield(-name=>'filename',-class=>'textfield',-onchange=>'document.select.submit()');
print_hidden();
&action('load');
print end_form();
print '</td>';
end_top_bar();
print '</center>';
print end_html();
exit;

